#  Author:     Roberto Cavada
#
#  Copyright:  
#  This file is part of of gNuSMV version 2.
#  Copyright (C) 2000-2001 by ITC-irst. 
#
#  NuSMV version 2 is free software; you can redistribute it and/or
#  modify it under the terms of the GNU Lesser General Public
#  License as published by the Free Software Foundation; either
#  version 2 of the License, or (at your option) any later version.
#
#  NuSMV version 2 is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
#  Lesser General Public License for more details.
#
#  You should have received a copy of the GNU Lesser General Public
#  License along with this library; if not, write to the Free Software
#  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307  USA.
#
#  For more information of NuSMV see <http://nusmv.irst.itc.it>
#  or email to <nusmv-users@irst.itc.it>.
#  Please report bugs to <nusmv-users@irst.itc.it>.
#
#  To contact the NuSMV development board, email to <nusmv@irst.itc.it>.


class Controller (object):
    """We put all of our gtk signal handlers into a class.  This lets us bind
    all of them at once, because their names are in the class dict.
    This class automatically register its instances as observers into the
    corresponding model.
    Also, when a view is created, the view calls method registerView,
    which can be oveloaded in order to connect signals and perform other
    specific operation"""

    def __init__(self, model):
        object.__init__(self)

        self.model = model
        self.view = None
        self.model.registerObserver(self)
        return

    def registerView(self, view):
        assert(self.view is None)
        self.view = view
        return

    pass # end of class Controller
